cURL
curl --request GET \ --url https://charts.basedash.com/api/public/organizations/{orgId}/automations/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "organizationId": "<string>", "name": "<string>", "icon": "<string>", "color": "<string>", "instructions": "<string>", "active": true, "archivedAt": "2023-11-07T05:31:56Z", "trigger": { "preferredHour": 11, "preferredDayOfWeek": 3, "preferredDayOfMonth": 16, "databaseConnectionId": "<string>", "sqlQuery": "<string>" }, "notifications": { "slackChannel": "<string>", "emailRecipients": "<string>" }, "createdByMemberId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Retrieves an automation by ID. Requires admin access to the organization.
Documentation IndexFetch the complete documentation index at: https://basedash.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://basedash.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
API key authentication using Bearer token format: Bearer <basedash_api_key>
Bearer <basedash_api_key>
Organization ID
Automation ID
Automation retrieved successfully
Show child attributes
Was this page helpful?